Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 29130 - Clean up documentation links after openide split
Clean up documentation links after openide split
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Documentation
3.x
All All
: P3 (vote)
: 3.x
Assigned To: Jesse Glick
issues@platform
:
Depends on:
Blocks: 19443
  Show dependency treegraph
 
Reported: 2002-11-28 14:38 UTC by Jesse Glick
Modified: 2008-12-22 15:50 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2002-11-28 14:38:39 UTC
Currently there are a lot of broken links in
openide docs that need to be fixed, due to the
#19443 split.

Also there are some extraneous classes, e.g.
Compiler API docs include classes like DataObject,
which are not in fact part of it.
Comment 1 Jesse Glick 2002-12-20 19:53:58 UTC
committed   * Up-To-Date  1.17        core/javahelp/build.xml
committed   * Up-To-Date  1.5         core/settings/.cvsignore
committed   * Up-To-Date  1.15        core/settings/build.xml
committed   * Up-To-Date  1.3        
core/settings/api/doc/org/netbeans/spi/settings/package.html
committed   * Up-To-Date  1.6        
core/settings/api/doc/org/netbeans/spi/settings/doc-files/api.html
committed   * Up-To-Date  1.6         openide/compiler/build.xml
committed   * Up-To-Date  1.3        
openide/compiler/api/doc/org/openide/compiler/doc-files/api.html
committed   * Up-To-Date  1.4        
openide/compiler/src/org/openide/actions/AbstractCompileAction.java
committed   * Up-To-Date  1.3        
openide/compiler/src/org/openide/compiler/Compiler.java
committed   * Up-To-Date  1.3        
openide/compiler/src/org/openide/compiler/CompilerJob.java
committed   * Up-To-Date  1.4        
openide/compiler/src/org/openide/compiler/ExternalCompiler.java
committed   * Up-To-Date  1.3        
openide/compiler/src/org/openide/cookies/CompilerCookie.java
committed   * Up-To-Date  1.4        
openide/compiler/src/org/openide/loaders/CompilerSupport.java
committed   * Up-To-Date  1.5         openide/execution/build.xml
committed   * Up-To-Date  1.3        
openide/execution/api/doc/org/openide/execution/doc-files/api.html
committed   * Up-To-Date  1.3        
openide/execution/src/org/openide/execution/NbClassPath.java
committed   * Up-To-Date  1.4        
openide/execution/src/org/openide/execution/NbProcessDescriptor.java
committed   * Up-To-Date  1.3        
openide/execution/src/org/openide/execution/ScriptType.java
committed   * Up-To-Date  1.7         openide/io/build.xml
Comment 2 Jesse Glick 2002-12-21 08:30:22 UTC
Also

committed     Up-To-Date  1.37       
openide/api/doc/org/openide/windows/doc-files/api.html
committed     Up-To-Date  1.8         openide/io/build.xml
added         Up-To-Date  1.1        
openide/io/api/doc/org/openide/windows/package.html

and a bunch of cleanups in openide/api/doc and openide/src too
numerous to list.
Comment 3 Marian Mirilovic 2005-07-13 13:20:45 UTC
closed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo